/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.rhzf.fwRy.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import org.springblade.modules.rhzf.fwInfo.vo.SyjzryVO;
import org.springblade.modules.rhzf.fwRy.entity.FwRyEntity;
import org.springblade.modules.rhzf.fwRy.excel.RyxqExcel;
import org.springblade.modules.rhzf.fwRy.vo.FwRyVO;
import org.springblade.modules.rhzf.fwRy.excel.FwRyExcel;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseService;
import java.util.List;
import java.util.Map;

/**
 * 入户走访_房屋_人员关联表 服务类
 *
 * @author BladeX
 * @since 2023-11-14
 */
public interface IFwRyService extends BaseService<FwRyEntity> {
	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param fwRy
	 * @return
	 */
	IPage<FwRyVO> selectFwRyPage(IPage<FwRyVO> page, FwRyVO fwRy);


	/**
	 * 导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<FwRyExcel> exportFwRy(Wrapper<FwRyEntity> queryWrapper);

    int getCountByRyXlh(String ryjbxxxlh);

	int countByDzbm(String dzbm);

    List<SyjzryVO> getRyCountByDzbm(Long fwId);

    List<SyjzryVO> getSyrkList(Map<String, Object> params);

    void updateFwId(Long fwId, String dzbm, String ryType, Long ryId);

    void deleteByRyidAndType(Map<String, Object> params);

    List<SyjzryVO> getRyls(Map<String, String> params);

	IPage<SyjzryVO> getFwry(IPage<SyjzryVO> page, SyjzryVO syjzryVO);

    List<SyjzryVO> fwryList(SyjzryVO syjzryVO);

	List<RyxqExcel> exportRyxq(Map<String, Object> params);

	void saveToJl(FwRyEntity fwRyEntity);

	void updateFwIdToJl(Long fwId, String dzbm, String ryType, Long ryId);

	void deleteByRyidAndTypeToJl(Map<String, Object> params);
}
